# Support

If you are experiencing problems using Apache Karaf Minho, then please report your problem to our [issue tracker](https://github.com/apache/karaf-minho/issues). You may also find it useful to discuss your issues with the community on the mailing list or Slack.

## How to get help

Whenever you are reporting a problem please be sure to include as much information as possible; the more we know the more chance of a quicker resolution:

* which Karaf version you are using
* what platform and JDK
* stack traces generally really help! If in doubt include the whole thing; often exceptions get wrapped in other exceptions right near the bottom explains the actual error, not the first few lines at the top.
* log output are very helpful too; sometimes enabling `DEBUG` logging can help
* your code & configuration files are useful. Be careful not to send us anything of a sensitive nature.
* did it work before? what have you changed?
* try upgrading to the latest release or SNAPSHOT and see if it's fixed
* search the user mailing list to see if has been discussed before
* check the issue tracker to see if the issue already have been reported

## Commercial support

Apache Karaf is a widely used project. As such, several companies have built products and services around Apache Karaf. Companies are definitely encouraged to update this page directly or send a mail to the Apache Karaf PMC members with a description of your offerings and we can update the page. The products and services listed on this page are provided for information use only to our users. The Apache Karaf PMC members don't endorse or recommend any of the products or services on this page.

| Organization |    |
|--------------|----|
| [Codecentric](https://www.codecentric.de/) | provides consulting and training for Apache Karaf and related technologies e.g. Apache Camel, Apache ActiveMQ, and Apache CXF for the DACH region. |
| [Yupiik](https://www.yupiik.com/) | contributes and commits to the Apache Karaf project. Provides consulting, training and support for Apache Karaf and related projects like Apache Camel, Apache ActiveMQ, Apache CXF. |
| [Savoir Technologies, Inc.](http://www.savoirtech.com/) | contributes and commits to the Apache Karaf project, while providing enterprise consulting, training and support for Apache Karaf and a host of other Apache service containers. Savoir can provide best practice mentoring for developing with Apache Karaf, as well as architectural/design reviews, troubleshooting and SOA infrastructure implementations. |
